using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.BaseData.Domain.Enums
{
    public enum PFSysLogTypeEnum
    {
        其他 = 0,
        新增 = 1,
        编辑 = 2,
        删除 = 3,
        登入 = 4,
        登出 = 5,

        /// <summary>
        /// 审批流异常
        /// </summary>
        [Description("审批流异常")]
        ExceptionApprove = 20,

        /// <summary>
        /// 审批流异常
        /// </summary>
        [Description("审批明细减少")]
        ExceptionApproveDetailReduce = 25,


        /// <summary>
        /// 跑批 给安全员添加安全检查表
        /// </summary>
        [Description("未找到安全员")]
        SafeChecker = 30,

        /// <summary>
        /// 隐患整改完成审批入库数据异常
        /// </summary>
        [Description("隐患整改完成审批入库数据异常")]
        RiskInsert = 40,

        /// <summary>
        /// 审批状态未更新
        /// </summary>
        [Description("审批状态未更新")]
        ExceptionApproveStatus = 40,

        /// <summary>
        /// 公共放添加  api/PF/PFSysLog  addLog  60
        /// </summary>
        [Description("公共方法添加")]
        Common = 60,


        /// <summary>
        /// 审批回调公共方法未完善 70
        /// </summary>
        [Description("审批回调公共方法未完善")]
        CommonApproveCallBack = 70,

        /// <summary>
        /// 审批回调失败 80
        /// </summary>
        [Description("审批回调失败")]
        FaildApproveCallBack = 80,
        /// <summary>
        /// 审批回调失败-跑批成功 81
        /// </summary>
        [Description("审批回调失败-跑批成功")]
        FaildApproveCallBackOK = 81,
        /// <summary>
        /// 审批回调失败-跑批失败 82
        /// </summary>
        [Description("审批回调失败-跑批失败")]
        FaildApproveCallBackNG = 82,


        /// <summary>
        /// 检查记录人员替换 85
        /// </summary>
        [Description("检查记录人员替换")]
        SafeCheckerChange = 85,

        /// <summary>
        /// 待办转办 90
        /// </summary>
        [Description("待办转办")]
        TaskUserChange =90,
    }

    [Description("表单配置语法类型")]
    public enum PFFormConfigSqlTypeEnum
    {
        获取语法 = 0,
        下载语法文件 = 1,
        连接数据库执行 = 2,
    }
    public enum PFInitFormConfigTypeEnum
    {
        默认 = 0,
        列表_编辑页 = 1,
        树页面 = 2,
        仅列表页 = 3,
        仅编辑页 = 4,
    }
    public enum PFGrantTypeEnum
    {
        账号密码 = 0,
        客户端 = 1,
        Refresh = 2,
    }
    public enum PFAppGrantTypeEnum
    {
        账号密码 = 0,
        账号验证码 = 1,
        Refresh = 2,
    }
}
